Name:           perl-Module-Signature
Version:        0.66
Release:        1%{?dist}
Summary:        CPAN signature management utilities and modules
Group:          Development/Libraries
License:        CC0
URL:            http://search.cpan.org/dist/Module-Signature/
Source0:        http://search.cpan.org/CPAN/authors/id/F/FL/FLORA/Module-Signature-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  gnupg
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(Digest::SHA1)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
Requires:       gnupg
Requires:       perl(Digest::SHA)
Requires:       perl(Digest::SHA1)
Requires(hint): perl(PAR::Dist)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This package contains command line tools and utilities a module for
checking and creating SIGNATURE files for Perl CPAN distributions.

%prep
%setup -q -c -n Module-Signature

# Copy up documentation for convenience with %%doc
cp -a Module-Signature-%{version}/{AUTHORS,Changes,README,*.pub} .

# Create a GPG directory for testing, to avoid using ~/.gnupg
mkdir --mode=0700 gnupghome
export GNUPGHOME=$(pwd)/gnupghome
gpg --import *.pub

%build
cd Module-Signature-%{version}
PERL_AUTOINSTALL=--skipdeps perl Makefile.PL INSTALLDIRS=vendor --installdeps
make %{?_smp_mflags}
cd -

%install
rm -rf %{buildroot}
make -C Module-Signature-%{version} pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} ';' 2>/dev/null
chmod -R u+w %{buildroot}

%check
export GNUPGHOME=$(pwd)/gnupghome
make -C Module-Signature-%{version} test TEST_SIGNATURE=1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS Changes README *.pub
%{_bindir}/cpansign
%{perl_vendorlib}/Module/
%{_mandir}/man1/cpansign.1*
%{_mandir}/man3/Module::Signature.3pm*

%changelog
* Tue Sep  7 2010 Paul Howarth <paul@city-fan.org> - 0.66-1
- Update to 0.66 (skip MYMETA)

* Mon May 10 2010 Paul Howarth <paul@city-fan.org> - 0.64-1
- Update to 0.64
  - Avoid creating gnupg config files when invoking Makefile.PL (CPAN RT#41978)
  - Correctly detect the gnupg version on cygwin (CPAN RT#39258)

* Wed May  5 2010 Paul Howarth <paul@city-fan.org> - 0.63-1
- Update to 0.63
  - Fix Makefile.PL diagnostic message when gnupg and Crypt::OpenPGP missing
  - Default keyserver changed from pgp.mit.edu to pool.sks-keyservers.net
  - Added "=encoding utf8" to POD to fix author name display
  - License changed to nullary CC0 1.0 Universal terms
- Run signature test in %%check
- BR/R: perl(Digest::SHA)
- License changed to CC0
- This release by FLORA -> update source URL

* Tue Apr 17 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.55-2
- BuildRequire perl(ExtUtils::MakeMaker) and perl(Test::More).

* Tue Aug 22 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.55-1
- 0.55.
- Make PAR::Dist dependency a Requires(hint).

* Fri May 12 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.54-1
- 0.54, license changed to MIT.

* Wed Feb  1 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.53-1
- 0.53.

* Fri Jan 20 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.52-1
- 0.52.
- Run non-live tests during build and make live ones optional, enabled
  when building with "--with livetests".

* Mon Jan  2 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.51-1
- 0.51.

* Mon Aug 22 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.50-1
- 0.50.

* Wed Aug 10 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.45-1
- 0.45.

* Thu Apr  7 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.44-2
- Drop Epoch: 0 and 0.fdr. release prefix.

* Fri Dec 17 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.44-0.fdr.1
- Update to 0.44.

* Sun Nov 21 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.42-0.fdr.1
- Update to 0.42.

* Tue Jul  6 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.41-0.fdr.2
- Require perl(Digest::SHA1) (bug 1606).

* Mon Jul  5 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.41-0.fdr.1
- Update to 0.41.

* Fri Jul  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.40-0.fdr.1
- Update to 0.40.

* Fri Jun 18 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.39-0.fdr.1
- Update to 0.39.

* Mon May 31 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.38-0.fdr.4
- Really use pure_install (bug 1606).
- Fix build with older mktemp versions which require a template (bug 1606).

* Mon May 31 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.38-0.fdr.3
- Fix build in setups which do not generate debug packages (bug 1606).
- Require perl >= 1:5.6.1 for vendor install dir support.
- Use pure_install to avoid perllocal.pod workarounds.

* Sun Apr 25 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.38-0.fdr.2
- Require perl(:MODULE_COMPAT_*).

* Sat Mar 27 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.38-0.fdr.1
- First build.
